Maschine 2.16 update, M1 Native compatibility, VST2 to VST3 migration & compatibility

Jeremy_NI
Jeremy_NI Customer Care Posts: 8,888 mod
edited February 2023 in Maschine

Maschine 2.16 was released this week. A lot of you experience issues, as it's a complicated topic, we'll try to address a few here.

This update brings native M1 support, the first time you will open it, it will open in native mode. This means that if there are any incompatible plug-in (with native M1) you will get this error message. It is also the case with our own Reaktor 6 and Battery 4 which are not compatible yet. They should be in early 2023.

For some plug-in manufacturers, like Arturia for example, the plug-ins are compatible but the NKS files need updating, so you will get this error message when loading the plug-ins from the browser. If you load them from the drop down menu, they will load without a problem.

If you experience these issues, check with the 3rd party plug-in manufacturer if they are natively supported on M1, behaviour can differ from manufacturer to manufacturer.

It can happen that plug-ins will fail to load or that projects with incompatible plug-ins will crash.

The quick solution is to run Maschine and your DAW in Rosetta mode: How to Open Your DAW Using Rosetta

We made this knowledge base article that explains it: KOMPLETE KONTROL / MASCHINE Error: "*Product* could not be loaded, as it may not support Apple Silicon or VST2 to VST3 migration."

This discussion has been closed.
Back To Top